%undefine __libtoolize
%define objprelink 0

Name: kmediagrab
Version: 0.3
Release: alt2
Source0: %name-%version.tar.bz2
URL: http://sourceforge.net/projects/kmediagrab
License: GPL
Group: Video
Summary: Kmediagrab is a front end to some of mplayer/mencoder features.
Packager: Yehuda Ben-Yosef <ilar@altlinux.ru>

Requires: kdelibs-gcc_compiled = %__gcc_version_base

# Automatically added by buildreq on Wed Oct 01 2003
BuildRequires: XFree86-devel XFree86-libs fontconfig freetype2
BuildRequires: gcc-c++ hostinfo kde-settings kdelibs-devel libGLU
BuildRequires: libGLwrapper libart_lgpl-devel libarts-devel libaudio
BuildRequires: libexpat libjpeg-devel liblcms libmng libpng-devel
BuildRequires: libqt3-devel libstdc++-devel zlib-devel
BuildRequires: kdelibs-gcc_compiled = %__gcc_version_base
%if %objprelink
BuildRequires: objprelink
%endif

%description
Kmediagrab is a front end to some of mplayer/mencoder features. In detail it grabs audio/video from a DVD , a Tv video card and translate a video file from one format to another. It's intended for the medium user who wants to use its video card as a vi.

%prep
%setup -q

%build
%configure \
	--with-xinerama \
	--disable-debug \
	--disable-static \
	--enable-shared

%if %objprelink
%make CXX=g++prelink
%else
%make
%endif

%install
%make DESTDIR=%buildroot install
%set_verify_elf_method relaxed

#create menu
cp %buildroot%_iconsdir/locolor/32x32/apps/*.png %buildroot%_iconsdir/%name.png
mkdir -p %buildroot%_menudir
kdedesktop2mdkmenu.pl %name Multimedia/Video %buildroot%_datadir/applnk/Applications/%name.desktop %buildroot%_menudir/%name

%find_lang %name

%post
%update_menus

%postun
%clean_menus

%files -f %name.lang
%doc README
%_bindir/*
%_menudir/%name
%_datadir/applnk/Applications/*.desktop
%_iconsdir/locolor/16x16/apps/*.png
%_iconsdir/locolor/32x32/apps/*.png
%_iconsdir/*.png

%changelog
* Wed Oct 1 2003 Yehuda Ben-Yosef <ilar@altlinux.ru> 0.3-alt2
- new buildrequires and rebuilding in hasher

* Sat Jan 18 2003 Yehuda Ben-Yosef <ilar@altlinux.ru> 0.3-alt1
- 0.3

* Wed Nov 06 2002 Yehuda Ben-Yosef <ilar@altlinux.ru> 0.1-alt1
- 0.1

- specfile cleanup

